package com.flyfish.framework.web;

import com.flyfish.framework.bean.PageResult;
import com.flyfish.framework.boot.FlyfishAppRunner;
import com.flyfish.framework.configuration.boot.FlyfishApplication;
import com.flyfish.framework.domain.po.User;
import com.flyfish.framework.r2dbc.config.R2dbcDataConfig;
import com.flyfish.framework.user.annotations.EnableAutoSecurity;
import com.flyfish.framework.user.repository.UserRepository;
import jakarta.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.context.annotation.Import;
import org.springframework.test.context.junit.jupiter.SpringExtension;

@ExtendWith(SpringExtension.class)
@SpringBootTest(classes = FlyfishUserTest.class)
@FlyfishApplication(scanBasePackages = "com.flyfish.framework")
@Import(R2dbcDataConfig.class)
@EnableAutoSecurity
@Slf4j
public class FlyfishUserTest {

    @Resource
    private UserRepository userRepository;

    @Test
    public void test() {
        User user = userRepository.findByUsername("admin")
                .block();
        log.info(user.toString());
    }
}
